A-A+

WebStorm中使用reactjs语法报错

2016年08月28日 react 暂无评论 阅读 618 次

把 JavaScript 的版本设置为 JSX Harmony。

点击图片看大图

讲道理的话,WebStorm 检测到语法问题在右上角应该会提示的。

==============可供参考解决方法2==============

settings => Languages & Frameworks => JavaScript => JavaScript language version

改一下就行了

==============可供参考解决方法3==============

我测试的也是这种结果。我的解决办法:

把引入的script库browser换成JSXTransformer,然后把type类型改为:text/jsx ,最后再把JavaScript版本修改为JSX Harmony就ok了。

标签:

给我留言

Copyright © web前端技术开发个人博客 保留所有权利.   Theme  Ality

用户登录